Summary:   Simple wrapper for rpm and the Fedora package metadata
Name:      zif
Version:   0.1.5
Release:   2%{?dist}
License:   GPLv2+
URL:       http://github.com/hughsie/zif
Source0:   http://www.packagekit.org/releases/%{name}-%{version}.tar.gz

# already upstream to fix PackageKit build
#Patch0:    0001-Install-zif-delta.h-as-we-re-using-it-in-public-head.patch

BuildRequires: glib2-devel >= 2.16.1
BuildRequires: rpm-devel
BuildRequires: sqlite-devel
BuildRequires: libsoup-devel
BuildRequires: libtool
BuildRequires: libarchive-devel
BuildRequires: docbook-utils
BuildRequires: gnome-doc-utils
BuildRequires: gtk-doc
BuildRequires: bzip2-devel
BuildRequires: zlib-devel
BuildRequires: gpgme-devel
BuildRequires: intltool
BuildRequires: gettext

%description
Zif is a simple yum-compatible library that provides read-write
access to the rpm database and the Fedora metadata for PackageKit.

Zif is not designed as a replacement to yum, nor to be used by end users.

%package devel
Summary: GLib Libraries and headers for zif
Requires: %{name} = %{version}-%{release}
Requires: bzip2-devel
Requires: zlib-devel
Requires: gpgme-devel

%description devel
GLib headers and libraries for zif.

%prep
%setup -q
#%patch0 -p1 -b .fix-external-build

%build
%configure \
        --enable-gtk-doc \
        --disable-static \
        --disable-dependency-tracking

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libzif*.la

%find_lang Zif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f Zif.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_bindir}/zif
%{_libdir}/*libzif*.so.*
%{_mandir}/man1/*.1.gz
%dir %{_sysconfdir}/zif
%config %{_sysconfdir}/bash_completion.d/*-completion.bash
%config %{_sysconfdir}/zif/zif.conf

%files devel
%defattr(-,root,root,-)
%{_libdir}/libzif*.so
%{_libdir}/pkgconfig/zif.pc
%dir %{_includedir}/libzif
%{_includedir}/libzif/*.h
%{_datadir}/gtk-doc

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 Richard Hughes <richard@hughsie.com> 0.1.5-1
- New upstream release with many bugfixes and performance improvements.

* Wed Jan 19 2011 Matthias Clasen <mclasen@redhat.com> 0.1.4-2
- Rebuild against new rpm

* Fri Jan 07 2011 Richard Hughes <richard@hughsie.com> 0.1.4-1
- New upstream release with many bugfixes and performance improvements.

* Mon Dec 13 2010 Richard Hughes <richard@hughsie.com> 0.1.3-3
- Make zif-devel BR gpgme-devel to fix PackageKit compile in mock.

* Mon Dec 13 2010 Richard Hughes <richard@hughsie.com> 0.1.3-2
- Backport a patch to fix the compile of external applications which use
  libzif and complain about a missing ZifDelta header.

* Mon Dec 13 2010 Richard Hughes <richard@hughsie.com> 0.1.3-1
- New upstream release with many bugfixes and performance improvements.

* Mon Nov 01 2010 Richard Hughes <richard@hughsie.com> 0.1.2-1
- New upstream release with many bugfixes and performance improvements.

* Tue Oct 05 2010 Parag Nemade <paragn AT fedoraproject.org> 0.1.1-2
- drop the ldconfig and pkgconfig as a Requires.

* Mon Oct 04 2010 Richard Hughes <richard@hughsie.com> 0.1.1-1
- New upstream release with many bugfixes and performance improvements.

* Fri Oct 01 2010 Richard Hughes <richard@hughsie.com> 0.1.0-4
- Take ownership of the gtk-doc directory, and use another macro.

* Fri Oct 01 2010 Richard Hughes <richard@hughsie.com> 0.1.0-3
- Remove group from devel subpackage, and make the description better.

* Fri Oct 01 2010 Richard Hughes <richard@hughsie.com> 0.1.0-2
- Address some review comments, many thanks.

* Wed Sep 08 2010 Richard Hughes <richard@hughsie.com> 0.1.0-1
- Initial package for review.
